# Progress - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-progress-deprecated

# Progress

GET

/

v2

/

progress

Try it

Progress

cURL

```
curl --request GET \
--url https://api.novita.ai/v2/progress \
--header 'Authorization: &#x3C;authorization>'
```

```
import requestsurl = "https://api.novita.ai/v2/progress"headers = {"Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/v2/progress', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v2/progress", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v2/progress"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/v2/progress") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v2/progress")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"code": 123,
"msg": "&#x3C;string>",
"data": {
"status": 123,
"progress": 123,
"eta_relative": 123,
"imgs": {},
"failed_reason": "&#x3C;string>",
"current_images": [
"&#x3C;string>"
],
"submit_time": "&#x3C;string>",
"execution_time": "&#x3C;string>",
"txt2img_time": "&#x3C;string>",
"finish_time": "&#x3C;string>",
"info": "&#x3C;string>",
"enable_nsfw_detection": true,
"nsfw_detection_result": [
{
"valid": true,
"confidence": 123
}
]
}
}
```

##

[​](#get-progress)

GET Progress

This API provides a query for the result of image generation, which can be in progress, failed, or successful. If successful, it will return the S3 URL of the generated image.

##

[​](#request-headers)

Request Headers

[​](#param-authorization)

Authorization

string

required

##

[​](#query-parameters)

Query Parameters

[​](#param-task-id)

task_id

arraystring[]

required

The ID of the task being queried.

##

[​](#response)

Response

[​](#param-code)

code

integer

CodeNormal=0, CodeInternalError=-1, CodeInvalidJSON=1, CodeModelNotExist=2, CodeTaskIdNotExist=3, CodeInvalidAuth=4, CodeHostUnavailable=5, CodeParamRangeOutOfLimit=6, CodeCostBalanceFailure=7, CodeSamplerNotExist=8, CodeTimeout=9, CodeNotSupport=10

[​](#param-msg)

msg

string

[​](#param-data)

data

object

Show properties

[​](#param-status)

status

integer

[​](#param-progress)

progress

number

[​](#param-eta-relative)

eta_relative

number

[​](#param-imgs)

imgs

string[]¦null

[​](#param-failed-reason)

failed_reason

string

[​](#param-current-images)

current_images

string[]

[​](#param-submit-time)

submit_time

string

[​](#param-execution-time)

execution_time

string

[​](#param-txt2img-time)

txt2img_time

string

[​](#param-finish-time)

finish_time

string

[​](#param-info)

info

string

[​](#param-enable-nsfw-detection)

enable_nsfw_detection

boolean

[​](#param-nsfw-detection-result)

nsfw_detection_result

object[]

Show properties

[​](#param-valid)

valid

boolean

[​](#param-confidence)

confidence

number

##

[​](#example)

Example

request

```
curl --location 'https://api.novita.ai/v2/progress?task_id=' \
--header 'Authorization: Bearer {{API Key}}'
```

response

```
{
"code": 0,
"msg": "",
"data": {
"status": 2,
"progress": 1,
"eta_relative": 0,
"imgs": [
"https://stars-test.s3.amazonaws.com/free/859d452b-f682-45fc-b0e7-5bd7b61a107d-0.png",
"https://stars-test.s3.amazonaws.com/free/859d452b-f682-45fc-b0e7-5bd7b61a107d-1.png",
"https://stars-test.s3.amazonaws.com/free/859d452b-f682-45fc-b0e7-5bd7b61a107d-2.png",
"https://stars-test.s3.amazonaws.com/free/859d452b-f682-45fc-b0e7-5bd7b61a107d-3.png"
],
"failed_reason": "",
"current_images": [""],
"submit_time": "2024-01-24 15:08:17",
"execution_time": "2024-01-24 15:08:17",
"txt2img_time": "2024-01-24 15:08:22",
"finish_time": "2024-01-24 15:08:22",
"info": "",
"enable_nsfw_detection": true,
"nsfw_detection_result": [
{
"valid": true,
"confidence": 57.62467
},
{
"valid": true,
"confidence": 3.908125
},
{
"valid": true,
"confidence": 99.84468
},
{
"valid": true,
"confidence": 2.440833
}
],
"debug_info": {
"submit_time_ms": 1706080097101,
"execution_time_ms": 1706080097369,
"txt2img_time_ms": 1706080102333,
"finish_time_ms": 1706080102479
}
}
}
```

Last modified on September 5, 2025
